Bug 1043720 - The project search field failed to found existing project using the project name
Summary: The project search field failed to found existing project using the project name
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI   
(Show other bugs)
Version: 3.1
Hardware: Unspecified Unspecified
unspecified
urgent
Target Milestone: ---
: 3.4
Assignee: Alex Eng
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 00:51 UTC by Ding-Yi Chen
Modified: 2014-07-17 06:39 UTC (History)
3 users (show)

Fixed In Version: 3.4.0-SNAPSHOT (20140227-1220)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-17 06:39:25 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ding-Yi Chen 2013-12-17 00:51:38 UTC
Description of problem:
The project search field failed to found existing project using the project name.

Version-Release number of selected component (if applicable):
Zanata 3.3.0-SNAPSHOT (20131217-0036)

How reproducible:
Always

Steps to Reproduce:
1. Login to Zanata
2. Click Projects
3. Copy the project name of any existing project, and paste in to project search field.
4. Press enter

Actual results:
Found 0 Projects matching query 'About'

Expected results:
At least found the project you copy from.

Additional info:

Comment 1 Alex Eng 2013-12-17 02:22:49 UTC
Please make sure the test instance has indexing done on Project.

Comment 2 Ding-Yi Chen 2013-12-18 01:02:56 UTC
After further digging I found out that the search only works only if it contains only the lower case and number. 

It wont' work when it contains other characters like upper case,
'-', spaces and other character like '"'.

Steps to Reproduce:
1. Login to Zanata
2. Click Projects
3. Find a project that contains upper case, spaces or dash.
4. Copy and paste the project name to project search field.
5. Press enter

Actual results:
Found 0 Projects matching query.

Expected results:
At least found the project you copy from.

Comment 3 Alex Eng 2013-12-22 21:16:44 UTC
Pull request:
https://github.com/zanata/zanata-server/pull/329

Comment 4 Alex Eng 2013-12-22 21:40:55 UTC
Given that we are using hibernate search features, there's some limitation apply to it (ignore symbol e.g. quotes and hyphen). This issue can be solve using different type of analyzer, but that will remove the current implement of prefix string search.   

With recent changes (autocomplete and case insensitive, string prefix search), I think it covers most of the use case in general use.

Comment 5 Damian Jansen 2014-02-13 01:50:29 UTC
This seems like it should be ON_QA

Comment 6 Ding-Yi Chen 2014-04-22 01:25:14 UTC
VERIFIED with 3.4.0-SNAPSHOT (20140227-1220)
Commit 385ddfa81fcbea26600aa8f909af1e201b06cb4b


Note You need to log in before you can comment on or make changes to this bug.